Skip to main content
GET
/
deposit-addresses
/
{depositAddress}
/
{depositChain}
/
history
Please use the identical endpoint under https://api.rhino.fi/sda. The sda endpoints here exist only for backwards compatibility and will be removed in the future. If you use the SDK, please upgrade to the latest version which uses the correct endpoint.
curl --request GET \
  --url https://api.rhino.fi/bridge/deposit-addresses/{depositAddress}/{depositChain}/history \
  --header 'Authorization: Bearer <token>'
{
  "depositAddress": "<string>",
  "depositChain": "<string>",
  "bridges": [
    {
      "_id": "<string>",
      "tokenSymbol": "<string>",
      "tokenAddress": "<string>",
      "amount": "<string>",
      "amountUsd": 123,
      "amountWei": "<string>",
      "sender": "<string>",
      "txHash": "<string>",
      "createdAt": "<string>",
      "_tag": "failed",
      "originalErrorTag": "<string>"
    }
  ]
}

Authorizations

Authorization
string
header
required

JWT token for authentication

Path Parameters

depositAddress
string
required
depositChain
string
required

Query Parameters

from
string

Start date for the history query, in milliseconds since epoch or Date.parse compatible string. Optional, defaults to 7 days ago. Max window is 31 days

to
string

Start date for the history query, in milliseconds since epoch or Date.parse compatible string. Optional, defaults to 7 days ago. Max window is 31 days

Response

DepositAddressHistoryResponse

depositAddress
string
required

The deposit address for which history is being retrieved.

Minimum string length: 1
depositChain
string
required

The blockchain network identifier of the deposit address.

Minimum string length: 1
bridges
object[]
required

Array of bridge transactions associated with this deposit address, including accepted, failed, and rejected transactions.